require 'phi'
require 'dialogs'

form = Phi::Form.new(:form1, 'formです')
button = Phi::Button.new(form, :button1, 'ボタンです')

$flag = true

Phi::new_menu(form, :menu1, [
  menu_file = Phi::new_item('ファイル(&F)', '', :menu_file1),
  menu_edit = Phi::new_item('編集(&E)', '', :menu_edit1),
  menu_help = Phi::new_item('ヘルプ(&H)', 'Ctrl+H', :menu_help1),
  ])

button.on_click = proc do
  if $flag 
    $flag = false
    form.menu_file1.add( Phi::new_item("閉じる(&C)", '', :menu_close) )
    menu_edit.add( Phi::new_item("コピー(&C)", '', :menu_copy) )
  end
end

menu_help.on_click = proc do
  Phi::message_dlg('ヘルプはありません。', Phi::MT_ERROR, [Phi::MB_OK], 0)  
end

form.show
Phi.mainloop
